gnome-pilot 2.0.14-0ubuntu1 source package in Ubuntu

Changelog

gnome-pilot (2.0.14-0ubuntu1) edgy; urgency=low

  * Resynchronized with Debian, only Ubuntu changes are:
    - debian/control: removed libglade-gnome0-dev, libgnorba-dev,
      gdk-imlib1-dev from Build-Depends.
    - debian/patches/01_applet_category.patch: change applet category.
    - debian/rules: set GETTEXT_DOMAIN, generate .pot file, change .server
      files
  * New upstream release:
    - Add support for libusb syncing with pilot-link 0.12.x
    - Fix network hotsync.  Use pilot-link to create the listen socket by
      binding to port "net:".
    - HAL is used by default for detecting USB connections. When HAL is not
      available, use /sys/bus/usb in preference to /proc/bus/usb
    - Fix applet message area, and fix transparency for applet panel icon.
    - Ported to the pilot-link 0.12.0 API, with continuing support for 0.11.*
    - Big cleanup of the UI, to make it more compatible with the HIG.
    - Improve robustness of binding, by attempting to connect multiple times.
      This can solve problems where, for example, HAL notifications are
      received before the device is ready for binding
    - Support for international character sets, with pilot-link 0.12.x. Users
      should set the PILOT_CHARSET to an appropriate value (i.e. one
      recognised by iconv).
    - Fixed Bug "avoid using freed memory".
    - Fixed Bug "Support for non-UTF8 locales, using PILOT_CHARSET"
    - Fixed Bug "applet does not show output of conduits"
    - Fixed Bug "write backup_conduit exclude_files properly"
    - Fixed Bug "gpilotd crashes when trying to backup NetLibrary
      (pilot-link-0.12.x)"
    - Fixed Bug "gpilotd crashes if usbfs is not mounted"
    - Fixed Bug "don't hard code static object files"
    - Fixed Bug "gpilotd-control-applet doesn't follow HIG"
    - Fixed Bug "use stock icon for applet"
    - Fixed Bug "gnome-pilot doesn't compile with pilot-link 0.12.0-pre2"
    - Fixed Bug "fix memory leaks"
    - Fixed Bug "avoid memory leak and use of uninitialised memory in
      backup_conduit"
    - Fixed Bug "put desktop file in non-deprecated location"
    - Fixed Bug "Avoid trying to sync more than one USB device."
    - Fixed Bug "sanity check basedir and backupdir in capplet"
    - Fixed Bug add missing variable init in backup_conduit
    - various build cleanups.
    - removed all compiler warnings up to gcc 3.x.
    - Fixed Malone: #3789.
    - Updated translations: zh_TW, zh_HK, xh, vi, zk, sv, sk , pt_BR, nl, ne,
      lt, ja, it, fi, fr, eu, es, en_GB, de, cs.
  * debian/control:
    - bumped libpisock-dev requirement.
    - added libhal-dev and libdbus-glib-1-dev to Build-Depends.
  * debian/rules:
    - added --with-hal.
    - stop setting CFLAGS, GNOME_PILOT_CFLAGS, stop replacing libtool - this
      breaks the build,
    - bump shlibs, new symbols in libgpilotdconduit.so,
    - update location of .desktop file for X-Ubuntu-Gettext-Domain,
  * debian/patches/gp-link, debian/patches/gp-missingsymbol:
    - don't apply to the source, not needed.
  * debian/patches/01_applet_category.patch:
    - updated.

 -- Daniel Holbach <email address hidden>   Mon, 18 Sep 2006 08:31:47 +0200

Upload details

Uploaded by:
Daniel Holbach on 2006-09-18
Uploaded to:
Edgy
Original maintainer:
Mike Markley
Architectures:
any
Section:
gnome
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
gnome-pilot_2.0.14.orig.tar.gz 1.2 MiB df401b0d3a39edc9955f328cbf4b937e586d20877a9a9745e3d1316b2ada637b
gnome-pilot_2.0.14-0ubuntu1.diff.gz 9.0 KiB ca4312f144488228f1eed87be592a6108e0bc2f046a98f97430d9751d1d36ddc
gnome-pilot_2.0.14-0ubuntu1.dsc 959 bytes ad613803e7947aa128e02358b8b128393b63f7c5775d11e1658535566f7a64b3

View changes file

Binary packages built by this source

gnome-pilot: No summary available for gnome-pilot in ubuntu edgy.

No description available for gnome-pilot in ubuntu edgy.

libgnome-pilot2: No summary available for libgnome-pilot2 in ubuntu edgy.

No description available for libgnome-pilot2 in ubuntu edgy.

libgnome-pilot2-dev: No summary available for libgnome-pilot2-dev in ubuntu edgy.

No description available for libgnome-pilot2-dev in ubuntu edgy.